const React = require('react');
const deepmerge = require('deepmerge');
const Redbox = require('redbox-react').default;
const defaultStyle = require('redbox-react/lib/style');

const style = deepmerge({}, defaultStyle, {
  redbox: {
    background: 'white',
    color: 'hsl(240, 5%, 15%)',
  },
  file: {
    color: 'hsla(240, 5%, 15%, 0.5)'
  },
  linkToFile: {
    color: 'hsla(240, 5%, 15%, 0.5)'
  }
});

const ErrorBox = props => React.createElement(
  Redbox,
  {
    style,
    error: props.error,
    filename: props.filename
  }
);
ErrorBox.displayName = 'ErrorBox';
module.exports = ErrorBox;
